#define ZACIATOK11 0.0
#define KONIEC11   220.0
#define CFGNAME11 "data\\cfg\\layers.cfg"

#define laymax 70
#define kijmax 20

#ifndef __KIJE__
#define __KIJE__
struct kije
{
  float time;
  float posx,posy;
  float color;
  float scale;
};

struct layer
{
  int type;        //blend type
  Texture3DS *tex; //textura
  int kij;         //aktualny key
  int kijnum;      //pocet keyov
  kije k[kijmax];  //keye
  float px,py;     //velkost na aku sa zobrazuje (polka velkostii)
};
#endif

class efekt_11 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();
   void draw_layer(int i);

  // -> premenne efektu

   layer l[laymax];
   int lnum;

  // <- 
 
};
